Full name: projects.locations.modelMonitors.patch
Updates a ModelMonitor.
Endpoint
patchhttps://{service-endpoint}/v1beta1/{modelMonitor.name}
PATCH https://{service-endpoint}/v1beta1/{modelMonitor.name}
Where {service-endpoint} is one of the supported service endpoints.
Path parameters
modelMonitor.namestring
Immutable. Resource name of the ModelMonitor. Format: projects/{project}/locations/{location}/modelMonitors/{modelMonitor}.
Query parameters
Required. Mask specifying which fields to update.
This is a comma-separated list of fully qualified names of fields. Example: "user.displayName,photo".
Request body
The request body contains an instance of ModelMonitor.
Response body
If successful, the response body contains an instance of Operation.
IAM Permissions
Requires the following IAM permission on the name resource:
aiplatform.modelMonitors.update
For more information, see the IAM documentation.